"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useViewTransition = void 0;
var react_1 = require("react");
var useViewTransition = function (state) {
    var _a = (0, react_1.useState)(state), internalState = _a[0], setInternalState = _a[1];
    var isTransitioning = (0, react_1.useRef)(false);
    var resolveUpdate = (0, react_1.useRef)();
    if (
    // @ts-expect-error
    document.startViewTransition &&
        state !== internalState &&
        !isTransitioning.current) {
        isTransitioning.current = true;
        // @ts-expect-error
        document.startViewTransition(function () {
            setInternalState(state);
            return new Promise(function (r) {
                resolveUpdate.current = r;
            });
        });
    }
    (0, react_1.useEffect)(function () {
        if (resolveUpdate.current) {
            resolveUpdate.current();
            resolveUpdate.current = undefined;
            isTransitioning.current = false;
        }
    }, [internalState]);
    // @ts-expect-error
    return document.startViewTransition ? internalState : state;
};
exports.useViewTransition = useViewTransition;
